Bug 120793 - Utilizing one core when scrolling down using page/down up in multi page view, if automatic spell checking is active
Summary: Utilizing one core when scrolling down using page/down up in multi page view,...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.7.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: perf
Depends on:
Blocks: Spell-Checking Scrolling-PageUpDown Multi-Page-View
  Show dependency treegraph
 
Reported: 2018-10-22 14:18 UTC by Telesto
Modified: 2022-08-18 03:40 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file (51.29 KB, application/vnd.oasis.opendocument.text)
2018-10-22 14:18 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-10-22 14:18:43 UTC
Description:
Utilizing one core when scrolling down using page/down up in multi page view

Steps to Reproduce:
1. Open the attached file
2. 3 or more pages side by side
3. Hold page down and monitor CPU usage

Actual Results:
Utilizing 1 core 

Expected Results:
Bit more efficient of plain text


Reproducible: Always


User Profile Reset: No



Additional Info:
Found in
Version: 6.2.0.0.alpha0+
Build ID: 3846561f79cf9065abd9ca83c9fbfbe7e52e28e2
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-10-20_23:33:00
Locale: nl-NL (nl_NL); Calc: CL

and in 3.5.7.2.
Comment 1 Telesto 2018-10-22 14:18:58 UTC
Created attachment 145907 [details]
Example file
Comment 2 Buovjaga 2019-02-18 16:34:33 UTC
I repro, but only if automatic spell checking is active. Can you confirm? Otherwise it is 65-70%.

Arch Linux 64-bit
Version: 6.3.0.0.alpha0+
Build ID: e77beebb0d839f5dc0d4f9c4fd7cc9b7ccfd0175
CPU threads: 8; OS: Linux 4.20; UI render: default; VCL: gtk3; 
Locale: fi-FI (fi_FI.UTF-8); UI-Language: en-US
Calc: threaded
Built on 16 February 2019
Comment 3 Telesto 2019-02-18 16:52:07 UTC
(In reply to Buovjaga from comment #2)
> I repro, but only if automatic spell checking is active. Can you confirm?
> Otherwise it is 65-70%.

Hmm.. the STR are not JMUX proof: CPU doesn't say anything.. So it's more about page down speed & tearing.. 

Most problematic with spell-check enabled, indeed. Without it's little marginal slower 
Btw, did I report this before.. you did measure 'a bug doc' of mine with page down a while ago?
Comment 4 QA Administrators 2022-08-18 03:40:02 UTC
Dear Telesto,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug